> ## Documentation Index
> Fetch the complete documentation index at: https://docs.maia.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove project from Runner Allow list

> Removes the specified project or environment from the allowed access list of the defined runner.

If an environmentName is supplied, then this will be removed, but the project will remain in the Runner's Allow List. If no environmentName is supplied, then the project (and any associated environments) will be removed from the Runner's Allow list.

NOTE: Whilst the Runner property `restrictedAccess` is set to false, any amendments to `allow` will not be enforced until `restrictedAccess` is set to true.



## OpenAPI

````yaml /openapi/public-api-endpoint-reference.yaml delete /v1/agents/{agentId}/allowlist
openapi: 3.1.0
info:
  title: Maia Public REST API
  version: '1.0'
servers:
  - description: EU1
    url: https://eu1.api.matillion.com/dpc
  - description: US1
    url: https://us1.api.matillion.com/dpc
  - description: AU1
    url: https://au1.api.matillion.com/dpc
security:
  - bearerAuth: []
tags:
  - description: Manage Schedules
    name: Schedules
  - description: Manage Connections
    name: Connections
  - description: Operations for managing Project Variables
    name: Project Variables
  - description: Manage Pipelines
    name: Pipelines
  - description: Review pipelines against quality rules
    name: Pipeline Quality Review
  - description: >-
      Describe how to configure a connection for a given auth provider, auth
      type and platform connection type.
    name: Connection Schema
  - description: Execute tests within a project
    name: Test Execution
  - description: Manage your AI agent tasks
    name: AI Agent Tasks
  - description: SCIM endpoints for user/group permission management
    name: Directory Integration
  - description: Publish shared pipeline artifacts
    name: Shared Pipeline Artifacts
  - description: Manage Repositories
    name: Repositories
  - description: Report on Credit Consumption
    name: Consumption
  - description: >-
      Start and track the migration of a Git repository into a project's working
      tree.
    name: Repository Migration
  - description: Manage Artifacts
    name: Artifacts
  - description: Operations for data lineage and governance
    name: Data Lineage
  - description: Manage Runners
    name: Runners
  - description: Manage Streaming Pipelines
    name: Streaming Pipelines
  - description: Execute a pipeline
    name: Pipeline Execution
  - description: ''
    name: Environments
  - description: ''
    name: Projects
  - description: Operations for managing Environment-level Overrides of Project Variables
    name: Project Variable Environment Overrides
  - description: Query audit events
    name: Audit Events
  - description: Connector Profiles
    name: Connectors
paths:
  /v1/agents/{agentId}/allowlist:
    delete:
      tags:
        - Runners
      summary: Remove project from Runner Allow list
      description: >-
        Removes the specified project or environment from the allowed access
        list of the defined runner.


        If an environmentName is supplied, then this will be removed, but the
        project will remain in the Runner's Allow List. If no environmentName is
        supplied, then the project (and any associated environments) will be
        removed from the Runner's Allow list.


        NOTE: Whilst the Runner property `restrictedAccess` is set to false, any
        amendments to `allow` will not be enforced until `restrictedAccess` is
        set to true.
      operationId: deleteProjectFromAgentAccess
      parameters:
        - description: >-
            The ID of the runner to remove project and/or environment access
            from
          in: path
          name: agentId
          required: true
          schema:
            type: string
        - description: >-
            The ID of the project to remove from Runner allow list if no
            environment is provided, or the project id to remove the environment
            from
          in: query
          name: projectId
          required: true
          schema:
            type: string
            format: uuid
        - description: >-
            Optional environment to remove from the Runner's allowed usage of
            the project (if not provided, removes entire project)
          in: query
          name: environmentName
          required: false
          schema:
            type: string
      responses:
        '202':
          description: >-
            Project and/or environment successfully removed from Runner Allow
            list
        '400':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Wrong request parameters used
        '403':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Forbidden
        '404':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Runner not found
        '500':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Unexpected error occurred
components:
  schemas:
    ProblemDetail:
      type: object
      properties:
        detail:
          type: string
        instance:
          type: string
        status:
          type: integer
          format: int32
        title:
          type: string
        type:
          type: string
          format: uri
        violations:
          type: array
          items:
            type: string
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: a valid bearer token
      scheme: bearer
      type: http

````